Discovery search dashboard is showing an error message
Closed, ResolvedPublic2 Story Points

Description

As of 2016-01-15 at 1635 PST, the search dashboard http://searchdata.wmflabs.org/metrics/ is giving an error message. The 4th KPI box at the top says "Error: Missing value where TRUE, FALSE needed". Clicking on it brings up a page that says "Error: can not calculate periodicity of 1 observation"

ksmith created this task.Jan 16 2016, 12:38 AM
ksmith updated the task description. (Show Details)
ksmith raised the priority of this task from to Needs Triage.
ksmith added a subscriber: ksmith.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 16 2016, 12:38 AM
Deskana triaged this task as Unbreak Now! priority.Jan 16 2016, 12:40 AM
Deskana added a subscriber: Deskana.

Department-wide KPI is broken, so this is top priority.

mpopov added a subscriber: mpopov.Jan 16 2016, 12:59 AM

Note to self: I really need to make it not look like trash when there's a problem. A fallback "NA" value box consistent in style with the rest would look much better than a red error message.

mpopov claimed this task.
mpopov set Security to None.
mpopov edited a custom field.

Change 264781 had a related patch set uploaded (by Bearloga):
Check for bad data, don't look ugly in case of While we have made our data acquisition scripts more robust to problems with the data sources, our dashboards should still not look broken if there's a data problem. This update deals with problems in KPI dat

https://gerrit.wikimedia.org/r/264781

Data's been backfilled and bad lines have been removed, so the problem has been fixed.

There's a patchset awaiting review now to make the dashboard not display the error in such an ugly way next time something like this happens (if it happens again).

Deskana closed this task as Resolved.Jan 19 2016, 9:04 PM

Change 264781 merged by OliverKeyes:
Check for bad data, don't look ugly in case of While we have made our data acquisition scripts more robust to problems with the data sources, our dashboards should still not look broken if there's a data problem. This update deals with problems in KPI dat

https://gerrit.wikimedia.org/r/264781